<?xml version="1.0" encoding="ISO-8859-1" ?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html
    xmlns="http://www.w3.org/1999/xhtml"
    xmlns:ui="http://java.sun.com/jsf/facelets"
    xmlns:h="http://java.sun.com/jsf/html"
    xmlns:f="http://java.sun.com/jsf/core"
    xmlns:p="http://primefaces.org/ui"
    xmlns:pe="http://primefaces.org/ui/extensions">
 
<div id = "modalRol">
<p:panelGrid id="idPanelRol" style="width: 100%;">
			<p:row>
				<p:column>
					<p:outputLabel value="#{msghsp['etiqueta.administracion.cuentadominio']}" />
					</p:column>
					<p:column>
					<p:outputLabel id="idRolCuentaDominio" value="#{administracionUsuarioController.usuarioOperativo.refPersonalOperativo}" />
				</p:column>
			</p:row>
			<p:row>
				<p:column>
					<p:outputLabel value="#{msghsp['etiqueta.administracion.matricula']}" />
					</p:column>
					<p:column>
					<p:outputLabel id="idRolMatricula" value="#{administracionUsuarioController.usuarioOperativo.cveMatricula}" />
				</p:column>
			</p:row>
			<p:row>
				<p:column>
					<p:outputLabel value="#{msghsp['etiqueta.administracion.apellidoPaterno']}" />
					</p:column>
					<p:column>
					<p:outputLabel id="idRolApellidoPaterno" value="#{administracionUsuarioController.usuarioOperativo.refApellidoPaterno}" />
				</p:column>
			</p:row>
			<p:row>
				<p:column>
					<p:outputLabel value="#{msghsp['etiqueta.administracion.apellidoMaterno']}" />
					</p:column>
					<p:column>
					<p:outputLabel id="idRolApellidoMaterno" value="#{administracionUsuarioController.usuarioOperativo.refApellidoMaterno}" />
				</p:column>
			</p:row>
			<p:row>
				<p:column>
					<p:outputLabel value="#{msghsp['etiqueta.administracion.nombre']}" />
					</p:column>
					<p:column>
					<p:outputLabel id="idRolNombre" value="#{administracionUsuarioController.usuarioOperativo.refNombre}" />
				</p:column>
			</p:row>
			<p:row>
			
				<p:column>
					<p:outputLabel value="#{msghsp['etiqueta.administracion.rol']}" />
				</p:column>
				<p:column class="comboM">
			
                                    <p:selectOneMenu
                                        id="idRolCatalogo"
                                         value="#{administracionUsuarioController.rolModal.cveRol}"
                                        binding="#{administracionUsuarioController.selectRol}">
                                        <f:selectItem
                                            itemValue=""
                                            itemLabel="#{msghsp['seleccione.vacio']}"
                                            noSelectionOption="true" />
                                        <f:selectItems
                                            value="#{administracionUsuarioController.catalogoRol}"
                                            var="divH"
                                            itemValue="#{divH.clave}"
                                            itemLabel="#{divH.clave} #{divH.descripcion}" />
                                       <p:ajax
                                            event="change"
                                            listener="#{administracionUsuarioController.validarRolSelecionado}"
                                            process="@this,idRolCatalogo"
                                            oncomplete="actualizarFocoGuardarRol();"
                                            update="growlMessageError idFoco idIngresoRol"/>
                                    </p:selectOneMenu>
                                    </p:column>
			</p:row>
		</p:panelGrid>
		<div class="acciones" style="text-align: center;">
                        <span style="width: 90%;">
                                <p:commandButton
                                style=" width: 100px; text-align:Center !important;"
                                id="idIngresoRol"
                                value="#{msghsp['boton.actualizar.rol']}"
                                binding="#{administracionUsuarioController.buttonActualizarRol}"
                                update="growlMessageInfo growlMessageError idFoco idHiddenFoco idLabelRol tablaAsignacion"
                                actionListener="#{administracionUsuarioController.actualizarRolModal}" />
                                <p:commandButton
								style= "width:100px; text-align:Center !important;"
								id="idSalirRol"
								value="#{msghsp['boton.salir.rol']}"
								binding="#{administracionUsuarioController.buttonSalirRol}"
								update="idSalirRol"
								actionListener="#{administracionUsuarioController.salirModalRol}"
								oncomplete="deshabilitaEnter();" />
                        </span>
                    </div>
		</div>
</html>